Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.noding
Class FastNodingValidator

    java.lang.Object
      com.vividsolutions.jts.noding.FastNodingValidator

    public class FastNodingValidator

extends java.lang.Object

Validates that a collection of `SegmentString`s is correctly noded. Indexing is used to improve performance. In the most common use case, validation stops after a single non-noded intersection is detected, but the class can be requested to detect all intersections by using the `setFindAllIntersections(boolean)` method.

The validator does not check for a-b-a topology collapse situations.

The validator does not check for endpoint-interior vertex intersections. This should not be a problem, since the JTS noders should be able to compute intersections between vertices correctly.

The client may either test the `isValid()` condition, or request that a suitable `TopologyException` be thrown.

Version:
  1.7

Constructor Summary
`FastNodingValidator(java.util.Collection segStrings)` Creates a new noding validator for a given set of linework.

Method Summary
`void` | `checkValid()` Checks for an intersection and throws a TopologyException if one is found.
`java.lang.String` | `getErrorMessage()` Returns an error message indicating the segments containing the intersection.
`java.util.List` | `getIntersections()`
`boolean` | `isValid()` Checks for an intersection and reports if one is found.
`void` | `setFindAllIntersections(boolean findAllIntersections)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FastNodingValidator

    public FastNodingValidator(java.util.Collection segStrings)

  Creates a new noding validator for a given set of linework.

  Parameters:
    `segStrings` - a collection of `SegmentString`s

Method Detail

### setFindAllIntersections

    public void setFindAllIntersections(boolean findAllIntersections)

### getIntersections

    public java.util.List getIntersections()

### isValid

    public boolean isValid()

  Checks for an intersection and reports if one is found.

  Returns:
    true if the arrangement contains an interior intersection

### getErrorMessage

    public java.lang.String getErrorMessage()

  Returns an error message indicating the segments containing the intersection.

  Returns:
    an error message documenting the intersection location

### checkValid

    public void checkValid()

  Checks for an intersection and throws a TopologyException if one is found.

  Throws:
    `TopologyException` - if an intersection is found

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD